/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

/*
 *    IntervalExtract.java
 *    Copyright (C) 2010-2013 Julian Luengo
 *
 */
package complexityruleextraction;

/**
 *
 * @author Julian Luengo Martin
 */
public class Interval {
    public int lowerBound;
    public int upperBound;
    public boolean goodInterval;
    public double lowerCMet;
    public double upperCMet;
    
    public Interval(){
        this.lowerBound = -1;
        this.upperBound = -1;
    }
    
    public Interval(int low,int up){
        this.lowerBound = low;
        this.upperBound = up;
    }
    
    public Interval(Interval orig){
        this.lowerBound = orig.lowerBound;
        this.upperBound = orig.upperBound;
    }
    
    public int length(){
        return (this.upperBound - this.lowerBound +1);
    }
    
    public boolean contains(Interval sub){
        if(sub.lowerBound >= this.lowerBound && sub.upperBound<=this.upperBound)
            return true;
        return false;
    }
    
    public boolean overlap(Interval sub){
        if(sub.lowerBound<=this.upperBound && this.lowerBound < sub.upperBound)
            return true;
        if(sub.upperBound>=this.lowerBound && this.upperBound > sub.lowerBound)
            return true;
        
        return false;
    }

    public String toString(){
        return ("["+String.valueOf(this.lowerBound)+","+String.valueOf(this.upperBound)+"]");
    }
    
}
